List own balance transactions
curl --request GET \
--url https://leuwongrr.online/api/v1/me/balance/transactions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://leuwongrr.online/api/v1/me/balance/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://leuwongrr.online/api/v1/me/balance/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "OK",
"data": {
"transactions": [
{
"id": 1,
"type": "deposit",
"amount": 50000,
"formatted_amount": "Rp50.000",
"balance_before": 0,
"formatted_balance_before": "Rp0",
"balance_after": 50000,
"formatted_balance_after": "Rp50.000",
"reference_type": "deposit",
"reference_id": 123,
"description": "Deposit saldo disetujui",
"created_at": "2026-04-29 15:00:00"
}
],
"limit": 20
}
}{
"success": false,
"message": "Unauthorized API token."
}{
"success": false,
"message": "Unauthorized API token."
}Endpoint User API
List own balance transactions
Mengambil mutasi saldo milik user dari token yang digunakan.
GET
https://leuwongrr.online
/
api
/
v1
/
me
/
balance
/
transactions
List own balance transactions
curl --request GET \
--url https://leuwongrr.online/api/v1/me/balance/transactions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://leuwongrr.online/api/v1/me/balance/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://leuwongrr.online/api/v1/me/balance/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "OK",
"data": {
"transactions": [
{
"id": 1,
"type": "deposit",
"amount": 50000,
"formatted_amount": "Rp50.000",
"balance_before": 0,
"formatted_balance_before": "Rp0",
"balance_after": 50000,
"formatted_balance_after": "Rp50.000",
"reference_type": "deposit",
"reference_id": 123,
"description": "Deposit saldo disetujui",
"created_at": "2026-04-29 15:00:00"
}
],
"limit": 20
}
}{
"success": false,
"message": "Unauthorized API token."
}{
"success": false,
"message": "Unauthorized API token."
}Authorizations
Masukkan User API Token dari halaman https://leuwongrr.online/user/api-access. Gunakan tanpa prefix Bearer jika field playground sudah otomatis menambahkan Bearer.
Query Parameters
Jumlah data maksimum yang dikembalikan.
Required range:
1 <= x <= 100Was this page helpful?